///////////////////////////////////////////////////////////////////////////////
// FileParameterSection.h
// Paul Wilson
// Oxford Metrics, May 2000
///////////////////////////////////////////////////////////////////////////////

#pragma once

#include "FileSection.h"
#include "FileParameterRecord.h"

class VFileParameterSection : public VFileSection
{
private:
	std::vector<VFileParameterRecord *> m_pRecords;
public:
	VFileParameterSection(int a_Len);
	virtual ~VFileParameterSection();

	void AddRecord(VFileParameterRecord * a_pRec) { m_pRecords.push_back(a_pRec); }

	virtual SLONG GetDataLength();
	virtual void PrepareForWrite();
};

