///////////////////////////////////////////////////////////////////////////////
// FileSection.cpp
// Paul Wilson
// Oxford Metrics, May 2000
///////////////////////////////////////////////////////////////////////////////

#include "FileSection.h"
#include <cassert>

VFileSection::VFileSection(SLONG a_Len, std::string a_strName)
{
	assert(a_strName != "");

	m_strName = a_strName;
	m_Length = a_Len;
}

VFileSection::~VFileSection()
{

}

void VFileSection::SetName(std::string a_strNewName)
{
	assert(a_strNewName != "");

	m_strName = a_strNewName;
}

void VFileSection::SetLength(SLONG a_NewLength)
{
	assert(a_NewLength > 0);

	m_Length = a_NewLength;
}

