///////////////////////////////////////////////////////////////////////////////
// UnknownSectionHandler.h
// Paul Wilson
// Oxford Metrics, June 2000
///////////////////////////////////////////////////////////////////////////////

#pragma once

#include "SectionHandler.h"

class VUnknownSectionHandler : public VSectionHandler
{
public:
	VUnknownSectionHandler(VExtendedFileWrapper & a_rFileWrapper);
	virtual ~VUnknownSectionHandler();

	virtual bool CanHandle(std::string a_strSectionName);

	virtual EParseResult ReadSection(VFileContents & a_rContents, SLONG a_SectionLength);

	virtual void WriteSection(VFileSection * a_pSection);
	virtual bool RewriteSection(VFileSection * a_pSection);
	virtual bool WriteSectionHeader(SLONG a_SectionLen, std::string a_strName);
};

