///////////////////////////////////////////////////////////////////////////////
// ParameterSectionHandler.h
// Paul Wilson
// Oxford Metrics, May 2000
///////////////////////////////////////////////////////////////////////////////

#pragma once

#include "SectionHandler.h"
#include "FileParameterRecord.h"

class VParameterSectionHandler : public VSectionHandler
{
public:
	VParameterSectionHandler(VExtendedFileWrapper & a_rFileWrapper);
	virtual ~VParameterSectionHandler();

	virtual bool CanHandle(std::string a_strSectionName);

	virtual EParseResult ReadSection(VFileContents & a_rContents, SLONG a_SectionLength);
	VSectionHandler::EParseResult ReadRecord(VFileParameterRecord * a_pNewRecord, SSHORT a_RecLen);

	virtual void WriteSection(VFileSection * a_pSection);
	virtual bool WriteSectionHeader(SLONG a_SectionLen, std::string a_strName);
	virtual bool RewriteSection(VFileSection * a_pSection);
};

